Wide Studio Object Reference

Wide Studio Home
Up to

## Class name

WSCvslider

## Properties

Properties of the class: WSCvslider are as follows.

Type | Property Name | Supplement | Default

unsigned char | WSNshadowThickness | Shadow thickness | 2

short | WSNbackColor | Background | DEF13

short | WSNtopShadowColor | Top shadow color | DEF15

short | WSNbottomShadowColor | Bottom shadow color | DEF16

unsigned short | WSNsliderSize | Slider size | 30

short | WSNmaximum | Maximum | 1000

short | WSNminimum | Minimum | 0

unsigned short | WSNdragInterval | Drag interval | 30

short | WSNvalue | Value | 0

unsigned char | WSNorientation | Orientation | 0

| Horizontal | WS_HORIZONTAL ( 0 ) |

| Vertical | WS_VERTICAL ( 1 ) |

char* | WSNname | Name |

char* | WSNuserString | User string |

long | WSNuserValue | User value | 0

WSCbool | WSNvis | Visibility | 0

| Invisible | False ( 0 ) |

| Visible | True ( 1 ) |

WSCbool | WSNdet | Sensitivity | 1

| Not allow | False ( 0 ) |

| Allow | True ( 1 ) |

short | WSNx | X | 0

short | WSNy | Y | 0

unsigned short | WSNwidth | Width | 100

unsigned short | WSNheight | Height | 30

unsigned short | WSNanchorTop | AnchorTop | 0

unsigned short | WSNanchorBottom | AnchorBottom | 0

unsigned short | WSNanchorLeft | AnchorLeft | 0

unsigned short | WSNanchorRight | AnchorRight | 0

WSCbool | WSNanchorTopFlag | AnchorTopFlag | 0

| Off | False ( 0 ) |

| On | True ( 1 ) |

WSCbool | WSNanchorBottomFlag | AnchorBottomFlag | 0

| Off | False ( 0 ) |

| On | True ( 1 ) |

WSCbool | WSNanchorLeftFlag | AnchorLeftFlag | 0

| Off | False ( 0 ) |

| On | True ( 1 ) |

WSCbool | WSNanchorRightFlag | AnchorRightFlag | 0

| Off | False ( 0 ) |

| On | True ( 1 ) |

WSCbool | WSNexport | Export | 0

| Not allow | False ( 0 ) |

| Allow | True ( 1 ) |

## Specification of properties

- WSNshadowThickness
  Function
    Spesifies the Shadow thickness.
  Notice

- WSNbackColor
  Function
    Spesifies the Background.
  Notice

- WSNtopShadowColor
  Function
    Spesifies the Top shadow color.
  Notice

- WSNbottomShadowColor
  Function
    Spesifies the Bottom shadow color.
  Notice

- WSNsliderSize
  Function
    Spesifies the Slider size.
  Notice

- WSNmaximum
  Function
    Spesifies the Maximum.
  Notice

- WSNminimum
  Function
    Spesifies the Minimum.
  Notice

- WSNdragInterval
  Function
    Spesifies the Drag interval.
  Notice

- WSNvalue
  Function
    Spesifies the Value.
  Notice

- WSNorientation
  Function
    Spesifies the Orientation.
  Notice

- WSNname
  Function
    Spesifies the Name.
  Notice

- WSNuserString
  Function
    Spesifies the User string.
  Notice

- WSNuserValue
  Function
    Spesifies the User value.
  Notice

- WSNvis
  Function
    Spesifies the Visibility.
  Notice

- WSNdet
  Function
    Spesifies the Sensitivity.
  Notice

- WSNx
  Function
    Spesifies the X.
  Notice

- WSNy
  Function
    Spesifies the Y.
  Notice

- WSNwidth
  Function
    Spesifies the Width.
  Notice

- WSNheight
  Function
    Spesifies the Height.
  Notice

- WSNanchorTop
  Function
    Spesifies the AnchorTop.
  Notice

- WSNanchorBottom
  Function
    Spesifies the AnchorBottom.
  Notice

- WSNanchorLeft
  Function
    Spesifies the AnchorLeft.
  Notice

- WSNanchorRight
  Function
    Spesifies the AnchorRight.
  Notice

- WSNanchorTopFlag
  Function
    Spesifies the AnchorTopFlag.
  Notice

- WSNanchorBottomFlag
  Function
    Spesifies the AnchorBottomFlag.
  Notice

- WSNanchorLeftFlag
  Function
    Spesifies the AnchorLeftFlag.
  Notice

- WSNanchorRightFlag
  Function
    Spesifies the AnchorRightFlag.
  Notice

- WSNexport
  Function
    Spesifies the Export.
  Notice

Document Release 3.70
For Use with Wide Studio Release 3.70, Spring 2004

Wide Stuido Home | Up to

Copyright(C) WideStudio Development Team, 1999-2004 |  | Last modified: May 25, 2004